PUT Application/PutContact
Request Information
URI Parameters
None.
Body Parameters
Contact| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | globally unique identifier |
None. |
|
| FirstName | string |
Required |
|
| LastName | string |
Required |
|
| Name | string |
None. |
|
| CellNumber | string |
None. |
|
| WorkNumber | string |
None. |
|
| HomeNumber | string |
None. |
|
| string |
None. |
||
| PhysicalAddress | string |
None. |
|
| PostalAddress | string |
None. |
|
| Birthday | date |
None. |
|
| GenderID | Gender |
None. |
|
| ContactStatusID | ContactStatus |
Required |
|
| PhotoID | globally unique identifier |
None. |
|
| ExternalCode | string |
None. |
|
| Latitude | decimal number |
None. |
|
| Longitude | decimal number |
None. |
|
| IDNumber | string |
None. |
|
| PassportNumber | string |
None. |
|
| DisplayName | string |
None. |
|
| UseDisplayName | boolean |
Required |
|
| OptOutNotification | boolean |
Required |
|
| CreatedByContactID | globally unique identifier |
Required |
|
| ModifiedByContactID | globally unique identifier |
Required |
|
| CreatedDate | date |
Required |
|
| ModifiedDate | date |
Required |
Request Formats
application/json, text/json
Sample:
{
"id": "142ea857-a5fa-4d79-9c48-466c0044ebe1",
"firstName": "sample string 2",
"lastName": "sample string 3",
"name": "sample string 4",
"cellNumber": "sample string 5",
"workNumber": "sample string 6",
"homeNumber": "sample string 7",
"email": "sample string 8",
"physicalAddress": "sample string 9",
"postalAddress": "sample string 10",
"birthday": "2026-06-12T23:01:33.4107627+00:00",
"genderID": 1,
"contactStatusID": 1,
"photoID": "d657d0c1-f80f-4e53-b441-d08bfc28845b",
"externalCode": "sample string 11",
"latitude": 1.1,
"longitude": 1.1,
"idNumber": "sample string 12",
"passportNumber": "sample string 13",
"displayName": "sample string 14",
"useDisplayName": true,
"optOutNotification": true,
"createdByContactID": "c0bc99ab-07ff-4458-b2a8-bc30fc45549c",
"modifiedByContactID": "5203e5c4-9a63-4851-bc18-3e74b9ae2dc3",
"createdDate": "2026-06-12T23:01:33.4107627+00:00",
"modifiedDate": "2026-06-12T23:01:33.4107627+00:00"
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServiceResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| IsSuccess | boolean |
None. |
|
| ErrorMessage | string |
None. |
|
| Code | string |
None. |
|
| Response | ServiceItem |
None. |
|
| LatestDataTimestampUtc | date |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.